/***************************************************************************

       File: widgets.h
   Contents: Dynamic widget tree hierarchy
Exported by: widgets.c (a dummy)
Imported by: sectionio.c, callbacks.c, xmtutor.c
    Part of: The Xmtutor application
     Author: Jan Borchers (job@ira.uka.de)

    $Source: /home/mit1/job/distribution/Xmtut/RCS/widgets.h,v $
  $Revision: 1.3 $
      $Date: 1994/10/17 18:16:15 $
     $State: Rel $
    $Locker:  $

$Log: widgets.h,v $
 * Revision 1.3  1994/10/17  18:16:15  job
 * First revision under version control.
 *

***************************************************************************/


/**************************************************************************/
/*                                                                        */
/* COPYRIGHT NOTICE:                                                      */
/* -----------------                                                      */
/* All parts of the Xmtutor application and the sample Motif tutorial are */
/* Copyright (C) 1993,1994 Jan Borchers.                                  */
/*                                                                        */
/**************************************************************************/


EXTERN Widget toplevel,				 /* Toplevel application shell */
	        mainwindow,			 /* Main application window */
		  menubar,			 /* Menu bar */
		    filecascade,		 /* "File" menu cascade button */
		    filemenu,			 /* "File" pulldown menu pane */
		      restorebutton,             /* "Restore Resource File" button */
                      exitbutton,		 /* "Exit Xmtutor" button */
                        exitdialog,		 /* "Exit Xmtutor?" dialog */
		    viewcascade,		 /* "View" menu cascade button */
		    viewmenu,			 /* "View" pulldown menu pane */
		      nextsectionbutton,	 /* "Next Section" button */
		        lastsectionerror,	 /* "Last section reached" error dialog */
                      previoussectionbutton,	 /* "Previous Section" button */
		        firstsectionerror,	 /* "First section reached" error dialog */
		      choosesectionbutton,	 /* "Choose a Section" button */
			choosesectiondialog,	 /* "Choose a Section" form dialog */
                          choosechapterlabel,    /* "Choose a Chapter: ..." label */
                          choosechapterwindow,   /* "Choose a chapter" scrolled window */
                            choosechapterlist,   /* "Choose a chapter" list */
                          choosesectionlabel,    /* "... and choose a section:" label */
                          choosesectionwindow,   /* "Choose a section" scrolled window */
                            choosesectionlist,   /* "Choose a section" list */
                          chooseokbutton,
			  choosecancelbutton,
                      indexbutton,		 /* PushButton */
                        indexdialog,		 /* SelectionDialog */
                        nosuchindexerror,	 /* ErrorDialog: "No such index keyword!" */
		    runcascade,			 /* "Run" menu cascade button */
		    runmenu,			 /* "Run" pulldown menu pane */
		      runbutton,		 /* "Run Example" button */
		    helpcascade,		 /* "Help" menu cascade button */
		    helpmenu,			 /* "Help" pulldown menu pane */
		      onmenusbutton,		 /* "On Menus" button */
		        onmenusdialog,		 /* "On Menus" dialog */
		      onversionbutton,		 /* "On Version" button */
		        onversiondialog,	 /* "On Version" dialog */
  		  workarea,			 /* Form: Working area of main application window */
		    infodisplay,		 /* Form: Displays current chapter and section information */
                      chapterdisplay,		 /* Displays current chapter number and title */
                      sectiondisplay,		 /* Displays current section title */
                    scrolledwindow,              /* ScrolledWindow: Wrapper for Scrollbars around textwindow */
                      textwindow,		 /* Text: Window to display tutorial text */
                    panedwindow,		 /* PanedWindow: Contains program and resource windows */
		      programwindow,		 /* ScrolledText: Window to display example .c program */
		      resourcewindow;		 /* ScrolledText: Window to edit example resource file */
